#!/usr/bin/env python

from DistUtilsExtra.auto import setup

setup(name='apathy',
	version='0.1',
	author='Mike Sheldon',
	author_email='mike@mikeasoft.com',
	maintainer='Kai Huuhko',
	maintainer_email='kai@kaihuuhko.com',
	description='Communications client',
	long_description='Apathy is a telepathy based communications client.',
	url='http://www.openapathy.org/',
	download_url='http://www.openapathy.org/download',
	license='GNU GPL',
	platforms='linux',
    data_files=[
        ('share/telepathy/clients',
            [
            'Apathy.Approver.client',
            'Apathy.Handler.client',
            ]
        )
    ],
    requires=[
        'e_dbus',
        'evas',
        'ecore',
        'elementary',
        'gi.repository.TelepathyGLib (>=0.17.6)',
        'dbus',
    ],
    provides=[
        'apathy',
    ],
)
